# Class CosmwasmEvmSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends CosmwasmChains

#### Hierarchy

- CosmwasmEvmSigner

#### Implements

- SignOnlySigner<N, C>

- Defined in platforms/cosmwasm/src/testing/signer.ts:94

#####
Index

### Constructors

constructor

### Properties

_chain
_chainId
_rpc
key
prefix

### Methods

address
chain
getSignerData
sign

## Constructors

### constructor

- new CosmwasmEvmSigner<N, C>(_chain, _network, _mnemonic): CosmwasmEvmSigner<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### _chain: C

  - ##### _network: "Mainnet" | "Testnet" | "Devnet"

  - ##### _mnemonic: string

  #### Returns CosmwasmEvmSigner<N, C>

  - Defined in platforms/cosmwasm/src/testing/signer.ts:101

## Properties

### `Private` _chain

_chain: C

- Defined in platforms/cosmwasm/src/testing/signer.ts:102

### `Private` _chainId

_chainId: string

- Defined in platforms/cosmwasm/src/testing/signer.ts:97

### `Private` _rpc

_rpc: ChainRestAuthApi

- Defined in platforms/cosmwasm/src/testing/signer.ts:100

### `Private` key

key: PrivateKey

- Defined in platforms/cosmwasm/src/testing/signer.ts:98

### `Private` prefix

prefix: string

- Defined in platforms/cosmwasm/src/testing/signer.ts:99

## Methods

### address

- address(): string

- #### Returns string

  Implementation of SignOnlySigner.address

  - Defined in platforms/cosmwasm/src/testing/signer.ts:123

### chain

- chain(): C

- #### Returns C

  Implementation of SignOnlySigner.chain

  - Defined in platforms/cosmwasm/src/testing/signer.ts:119

### getSignerData

- getSignerData(): Promise<{
  accountNumber: number;
  address: string;
  sequence: number;
  }>

- #### Returns Promise<{
  accountNumber: number;
  address: string;
  sequence: number;
  }>

  - Defined in platforms/cosmwasm/src/testing/signer.ts:163

### sign

- sign(txns): Promise<any[]>

- #### Parameters

  - ##### txns: UnsignedTransaction<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">[]

  #### Returns Promise<any[]>

  Implementation of SignOnlySigner.sign

  - Defined in platforms/cosmwasm/src/testing/signer.ts:127

Generated using TypeDoc